org.keycloak.adapters.tomcat

## Class CatalinaRequestAuthenticator

- java.lang.Object
- - org.keycloak.adapters.RequestAuthenticator
  - - org.keycloak.adapters.tomcat.CatalinaRequestAuthenticator

-     public class CatalinaRequestAuthenticator
      extends RequestAuthenticator

  Version:
    $Revision: 1 $
  Author:
    Davide Ungari

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected GenericPrincipalFactory` | `principalFactory`
    `protected org.apache.catalina.connector.Request` | `request`
    `protected AbstractKeycloakAuthenticatorValve` | `valve`

    - ### Fields inherited from class org.keycloak.adapters.RequestAuthenticator

      `challenge, deployment, facade, sslRedirectPort, tokenStore`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CatalinaRequestAuthenticator(KeycloakDeployment deployment, AbstractKeycloakAuthenticatorValve valve, AdapterTokenStore tokenStore, CatalinaHttpFacade facade, org.apache.catalina.connector.Request request, GenericPrincipalFactory principalFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `completeBearerAuthentication(KeycloakPrincipal<RefreshableKeycloakSecurityContext> principal, String method)`
    `protected void` | `completeOAuthAuthentication(KeycloakPrincipal<RefreshableKeycloakSecurityContext> skp)`
    `protected OAuthRequestAuthenticator` | `createOAuthAuthenticator()`
    `protected String` | `getHttpSessionId(boolean create)`
    `protected void` | `restoreRequest()`

    - ### Methods inherited from class org.keycloak.adapters.RequestAuthenticator

      `authenticate, completeAuthentication, completeAuthentication, createBasicAuthAuthenticator, createBearerTokenAuthenticator, getChallenge, verifySSL`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### valve

          protected AbstractKeycloakAuthenticatorValve valve

    - #### request

          protected org.apache.catalina.connector.Request request

    - #### principalFactory

          protected GenericPrincipalFactory principalFactory

  - ### Constructor Detail

    - #### CatalinaRequestAuthenticator

          public CatalinaRequestAuthenticator(KeycloakDeployment deployment,
                                      AbstractKeycloakAuthenticatorValve valve,
                                      AdapterTokenStore tokenStore,
                                      CatalinaHttpFacade facade,
                                      org.apache.catalina.connector.Request request,
                                      GenericPrincipalFactory principalFactory)

  - ### Method Detail

    - #### createOAuthAuthenticator

          protected OAuthRequestAuthenticator createOAuthAuthenticator()

      Specified by:
        `createOAuthAuthenticator` in class `RequestAuthenticator`

    - #### completeOAuthAuthentication

          protected void completeOAuthAuthentication(KeycloakPrincipal<RefreshableKeycloakSecurityContext> skp)

      Specified by:
        `completeOAuthAuthentication` in class `RequestAuthenticator`

    - #### completeBearerAuthentication

          protected void completeBearerAuthentication(KeycloakPrincipal<RefreshableKeycloakSecurityContext> principal,
                                          String method)

      Specified by:
        `completeBearerAuthentication` in class `RequestAuthenticator`

    - #### restoreRequest

          protected void restoreRequest()

    - #### getHttpSessionId

          protected String getHttpSessionId(boolean create)

      Specified by:
        `getHttpSessionId` in class `RequestAuthenticator`

Copyright © 2014. All Rights Reserved.